---
title: What to Expect at GitLab Contribute
description: "At GitLab we try to get together every 9 months or so to get face-time with one another, build community, reinforce our values, and get some work done!"
canonical_path: "/company/culture/contribute/"
suppress_header: true
extra_css:
  - concurrent-devops.css
  - contribute.css
extra_js:
  - applications/countdown.js
  - contribute.js
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    %h1 GitLab Contribute
    %p Everyone can contribute.
    .flex-container.buttons-container.justify-center.align-center
      -# %a.btn.cta-btn.orange{ href: "#" }
      -#  Join us and contribute
      .btn.cta-btn.btn-white.flex-container.align-center#video-button
        .i.fas.fa-play.play-icon
        Watch the Video


.iframe-container#iframe-container
  %iframe#iframe-video{src: "", frameborder: "0", width: "560", height: "315"}


.devops-content-container
  %section.tile
    :markdown
      ### Upcoming Contribute

      Save the date, we're back! More details about the dates for the next Contribute are on the [event landing page](https://about.gitlab.com/events/gitlab-contribute/)

  %section.flex-container
    .full-width.column
      %h2 What, where, and when
      :markdown
        We try to get together every 9 months or so to get face-time with one another, build community, and reinforce our values.
        Since our team is scattered all over the globe, we try to
        plan a different location for each GitLab Contribute.

        Contribute is **not** a mandatory trip or a department offsite, nor is it a vacation or incentive trip.
        It's a chance for everyone to meet fellow GitLab team-members across all departments and regions:
        part team building, part education, part community building, and hopefully all fun. This is a work trip with fun mixed in.

        ## Goal

        The goal of Contribute is to **get to know the people in the GitLab community better**.
        The better you know people, the easier it is to collaborate.
        We want to reinforce our values and build trust between groups. 
        The purpose is **not** to spend time with fellow team members you already know or focus mostly on colleagues in your function. 

        ## Who

        All team members of the [GitLab company](/company/team/), [Core Team](/community/core-team/), contributors, the board, press, and anyone in our community that is interested in joining.

        ## Code of Conduct

        General guidelines and information are on this page but our official Code of Conduct policy is [outlined on this page](/company/culture/contribute/coc/).

        ## Registering

        As soon as dates and a location are confirmed, we'll open our registration. Registration cuts off 2 weeks before the event takes place. New GitLab team-members who are scheduled to start in the weeks and days before Contribute will be sent communications and instructions on getting ready for Contribute, with the template found in the Employment project. New GitLab team-members may purchase flights and prepare to submit reimbursement Day 1. On their first day, they may register for the event and workshops through the invitation that will have been sent to their GitLab email. Hotel rooms are being held for these new hires. They will be able to access the Contribute App to see the full schedule and information without logging in.

        ## Timing
        
        We aim to run the event every 9-12 months. Note that the timing is also dictated by the size of this event. We are constrained by availability and budget. Events season ramps up in Q3 and Q4 so it is a busier event season industry-wide so it is harder to find venues then. With a group of our size we are pretty limited on places that can fit us in regardless of the time of year. We also avoid end of quarters and major global holidays. 
        
        This is the largest (attendees and budget) self hosted event we run all year and it will often need to take priority over other smaller events dates that are often more flexible due to the group size. 
 
  %section.flex-container
    .full-width.column
      %h2 Attending Contribute
      :markdown
        #### Bring your significant other
        * Significant Others (SO) are welcome to attend and must register for their own ticket.
        * One guest/ SO per team member
        * You are responsible for any guests you invite
        * Your guest's presence should not distract you from engaging with other team members and actively participating in Contribute activities
        * Guests should do their best to get to know many people
        * Guests are welcome and encouraged to particpate in all presentations, events, and meetings that are open to team members
        * If you're having a meal with your guest, pick a table with more than two seats
        so you can invite others to join you

        #### Having your children join you

        We have observed from the past that contributors who have chosen to bring children spend significantly less time collaborating with GitLab team members. If you need to travel with family members, you are expected to fully engage in as many group activities as you are physically able, invite team members to join you during meals, attend all company meetings, and recognize that Contribute is an investment in the continued growth of the organization.
        All GitLab sponsored activities are 18+. This includes workshops, keynotes, excursions, and team dinners.

        #### Leisure time around Contribute
        * GitLab Contribute is a work trip, not an incentive trip and should be treated as an opportunity to get to know the GitLab team better.
        * If you want to enjoy the facilities or the area around it, feel free to book an extra day or more _before or after_ Contribute
        * The Contribute team will plan "regular work time" for you to do regular work such as handling emails. Do not expect to have a normal days work during this week.
        * When you sign up for the activities, you agree to show up. We ask that everyone be accountable to showing up on time and be present for things they have committed to out of respect for your team members and money spent to save you a spot.
        * If you for some reason can no longer attend something you have committed to please cancel your booking or let the planning team know so we can offer your spot to another.
        * When you don't sign up at all, you understand that there will not be a ticket booked for you and there might be no room left in said activities.

        #### Social media

        You are encouraged to take pictures and post on social media.
        If you take pictures of people not on the podium please ask their permission.
        Please consider using the hashtag #GitLabContribute.
        Our [social media guidelines](/handbook/marketing/social-media-guidelines/) still apply.


  %section.flex-container
    .full-width.column
      %h2 Contribute sessions
      :markdown
        GitLab Contribute has variety of sessions: workshops, presentations, etc.
        Contribute isn’t a conference, it's a "meeting of minds”.
        It's a place to connect and collaborate in an environment where everyone can contribute.
        We don’t present to our users and customers, or schedule special/VIP time with them. They are expected to join in the overall program.


  %section.flex-container
    .full-width.column
      :markdown
        #### Team sessions/time

        This is scheduled time for teams to have team-only time to discuss their work, strategize, and problem solve.

        1. Functional groups meet together (e.g. East Sales, Pipe-to-Spend, Site Reliability Engineering, etc.)
        2. Cross-functional groups meet together (e.g. Plan, Create, Verify, etc.)
        3. Customers meet together without any GitLab team-members in the room to talk freely to each other.

      %h2 Workshops
      :markdown

        #### What to expect

        1. A workshop is interactive training of 45 minutes with 15 minutes for Q&A (topic examples: Rails Girls, Kubernetes 101, Speaker Training, etc.) 
        2. Everyone can participate. It’s a workshop, not a presentation. Everyone in the room should be able to participate.
        3. Can be a small or large number of people. Larger groups may need multiple facilitators or coaches to ensure everyone can participate.
        4. Requires preparation and coordination ahead of time to facilitate a productive workshop.
            a. Room needs to be set up.
            b. Outline or the training needs to be created.
            c. Supplemental materials may need to be created.
            d. Good WIFI may be required.
        5. Can be simple and lightweight (e.g. bring your laptop and learn: how to use git, how to make an MR, how to contribute to GitLab, etc. This is content that already exists in the handbook/website, but it can be very helpful to have someone walk you through it in person.)

        #### Workshop results

        The following are measures of a successful workshop.

        1. Equipping: People learn a new skill or improve an existing skill.
        2. Participation: Everyone has the opportunity to participate.

        You can see a [list of workshops and their slides](https://gitlab.com/gitlabcontribute/new-orleans/issues/67) in the [project issue tracker](https://gitlab.com/gitlabcontribute/new-orleans/issues?state=all&label_name[]=Workshops).

        ### Presentations

        1. Presentations are one-way, one-to-many communication mode (one person speaking many people listening.)
        2. One-way, one-to-many communication is easy to do remote while Unconference-style, many-to-many discussion is harder to do remote.
        3. If a GitLab team-member has an idea for a presentation they should do this outside of Contribute (e.g. schedule a remote call, livestream or upload the recording to YouTube, link it in the training section of the handbook, etc.)
        4. Customers and Users presentations are good for Contribute so that more GitLab team-members can hear from our customers and experience greater customer empathy.

        #### Keynotes and interviews
        {: #Keynotes, Interviews}

        The following should be assigned and/or arranged a month before Contribute:

        * All interviews, keynotes and content production
        * Who will be presenting, when and what they will be presenting
        * Projectors, wireless (non-hand-held) microphones, and any other (audio) needs
        * Recording equipment such as stage cam, audience cam, presentation feed etc.
        * An audio feed that goes directly from microphone into the recording
        * A program and manager for live streaming
        * The blog text for the presentation, including relevant materials shared after
        the presentation, as well as approval and a plan to publish the blog 24 hours after the presentation is given

      %h2 Values Awards
      :markdown

        #### To reinforce our [CREDIT](/handbook/values/) values

        * We will give away one award to a GitLab team-member for each of the CREDIT values. Each award winner will be recognized on stage during Contribute
        * To qualify to be nominated for a values award, a GitLab team-member must have received at least 2 [discretionary bonuses](/handbook/incentives/#discretionary-bonuses-for-individuals) in the time since the last Contribute ended. If there aren't at least three team-members eligible for nomination for a specific value who have had at least 2 bonuses awarded, then any team-member who has had 1 discretionary bonus for that value will be nominated
        * One week before Contribute, the E-group will select the values award winners from the nominees
        * The E-group will appoint a Director or above to manage the awards process at least three months before Contribute

      %h2 Logistics
      :markdown
        #### WiFi

        Great WiFi is essential to the success of Contribute.
        We can't have everyone in one location and not have excellent internet.

        1. Main room needs one access point for every 40 people attending in the main room and management, we have our own equipment to assist if needed.
        2. We need two different uplinks from two different providers.
        3. We need our own router between the uplinks and the WiFi.
        4. We need wired connections to the WiFi access points.
        5. We need to have WiFi working before the executive team arrives.
        6. We need very reliable fast connections during Contribute.
        7. We need a map of the property with all wiring and access points drawn in 3 months before Contribute starts.

        #### Random Tips

        * Tip: Label your charger, or other belongings, with your name for easy return to owner in case you lose it
        * Name badges should include home city, pronoun, company, hugs, how many contributes attended.
        * Check the packing list (coming soon) for what to bring.

      %br
      %section.flex-container
        .full-width.column
          %h2 Additional information
          :markdown

            #### Leadership at Contribute
            [Read about being in GitLab leadership at Contribute](/company/culture/contribute/leadership)

            ####  Previous events
            [See previous Contributes (formerly called GitLab Summit)](/company/culture/contribute/previous)
